VirtualBox

Ticket #3654 (reopened defect)

Opened 5 years ago

Last modified 20 months ago

Bridged Networking does not find any adapters

Reported by: strstrep Owned by:
Priority: critical Component: network/hostif
Version: VirtualBox 2.2.0 Keywords:
Cc: Guest type: other
Host type: Windows

Description

When configuring a guest in version 2.2.0 under Windows Vista (I have x64, some others have reported with x32), under the bridged network configuration, the only selection for "Bridged Network Adapter" that I can choose is "Not selected." This means that I cannot configure the network to work in bridged mode. This has been reported on the forum:  http://forums.virtualbox.org/viewtopic.php?f=6&t=16202&start=0.

Attachments

Debian-2009-04-08-12-24-05.log Download (65.4 KB) - added by strstrep 5 years ago.
Vbox.log (networking set up in different mode, as VM doesn't run when in bridged mode)
ifconfig.txt Download (1.5 KB) - added by bthomson 5 years ago.
output of ifconfig -a after reinstall of virtualbox
VBoxBridgedNotFoundAdapter_LOG.zip Download (98.1 KB) - added by jinglecat 4 years ago.
VBoxBridgedNotFoundAdapter_LOG
VBox.log Download (38.7 KB) - added by boomshankerx 4 years ago.
MSI18400.zip Download (53.1 KB) - added by boomshankerx 4 years ago.
setupapi.zip Download (127.2 KB) - added by boomshankerx 4 years ago.
msisetup.log.zip Download (46.7 KB) - added by SIF 4 years ago.
Zip file containing log produced by: VirtualBox-3.2.10-r66523-MultiArch_x86.msi /lvoicewarmupx msisetup.log
setupapi.2.zip Download (23.1 KB) - added by SIF 4 years ago.
Zip file containg: setupapi.app.log, setupapi.dev.log

Change History

Changed 5 years ago by strstrep

Vbox.log (networking set up in different mode, as VM doesn't run when in bridged mode)

comment:1 Changed 5 years ago by strstrep

Removing and repairing VirtualBox seems to fix the problem, so it seems to be an issue with upgrading in the installer.

comment:2 Changed 5 years ago by Kurt_Aust

Confirming that the problem also exists in Windows XP x64 edition and that using the repair option fixes the problem.

comment:3 follow-up: ↓ 8 Changed 5 years ago by slxslxslx

uninstall old version and install ver2.20 dosen't change anything. still can not find any adapter under bridge mode same problem happens under nat mode.

comment:4 Changed 5 years ago by BillBauman

I have confirmed having this problem on Vista Business x64 clean install with VirtualBox 2.1.4 upgraded to 2.2.0. A repair and reboot added the adapter properly.

comment:5 Changed 5 years ago by rsocrates

Same error with WinXP Prof. 32 bits as host: no "bridge Network Adapter" was installed when updating from VBox 2.1.4.

Two of the three NICs present in the host machine where disable before the first install of VBox 2.2.0. Repair installation didn't solve anything, so I uninstalled Virtualbox. Then, I enabled all NICs and did a clean install: "Bridge Network Adapter" was installed ok.

comment:6 follow-up: ↓ 7 Changed 5 years ago by ncastrog

Same error on ubuntu 8.10 x86_64.

comment:7 in reply to: ↑ 6 Changed 5 years ago by frank

Replying to ncastrog:

Same error on ubuntu 8.10 x86_64.

ncastrog, please could you append the output of /sbin/ifconfig -a to this ticket?

comment:8 in reply to: ↑ 3 Changed 5 years ago by misha

Replying to slxslxslx:

uninstall old version and install ver2.20 dosen't change anything. still can not find any adapter under bridge mode

Could you open the properties dialog for one of your adapter's network connections and see if there is a "VirtualBox Bridged Network Driver" service entry listed there and whether it is enabled.
Also could you try re-installing with the  msi & setupapi loging enabled and attach the logs here?

comment:9 Changed 5 years ago by kikeenrique

I'm having same issues here with a winXP host with a linux guest. For this last comment misha, my network adapter has this "VirtualBox Bridged Network Driver" entry enabled. Still not selected.

Thanks

comment:10 Changed 5 years ago by mbutscher

I saw the same (Win XP Pro 32bit). It seems that the whole directory "drivers\network\netflt\protocol" wasn't created on first installation, therefore the network filter was missing. Repairing cured this.

So users with this problem should maybe look if they have "drivers\network\netflt\protocol" inside the VirtualBox installation directory. For me, it contains the files:

VBoxNetFltNotify.dll VBoxNetFlt.inf VBoxNetFlt.cat VBoxNetFlt.sys

comment:11 Changed 5 years ago by kikeenrique

For me it's working now. I remember I've repaired installation but it didn't work after reboot. I think I've had to reboot once again and then, looking for files commented by mbutscher, as they were there, I tried and did success. I think I haven't tried enough after repairing.

Thanks

comment:12 Changed 5 years ago by bthomson

Same bug on Ubuntu 8.10 x86_64. Bridged networking works correctly after reinstall.

Changed 5 years ago by bthomson

output of ifconfig -a after reinstall of virtualbox

comment:13 Changed 5 years ago by frank

bthomson, to be sure: You are saying that you

  1. successfully installed VirtualBox 2.2.0
  2. openend the GUI and you were not able to access any host adapter, not even eth0
  3. re-installed the same VirtualBox 2.2.0 package
  4. you were now able to access the adapters on your host

Is that correct? Did you do any reboot during this cycle?

comment:14 Changed 5 years ago by karatedog

Host: Windows XP Pro 32bit Guest: Ubuntu 8.10 Machine: Lenovo T400 Did an upgrade from 2.1.4 to 2.2.0, the upgrade finished without restarting the host machine, and Bridged Network didn't list my existing network cards. After repairing the install, the installer instructed me to restart the host machine, although without restart I already saw the Bridged Network mode listing the existing network cards.

comment:15 Changed 5 years ago by frank

Thanks karatedog. The problem on Windows hosts is quite clear and needs to be fixed of course but the problem on Linux hosts is a bit different, therefore I would like to ask bthomson for a reply.

comment:16 Changed 5 years ago by bthomson

Hi Frank,

I did not see which adapters were available. but these are the steps i followed:

  1. remove VirtualBox 2.0.4 from ubuntu repository
  2. install VirtualBox 2.2.0 from virtualbox.org repository
  3. select bridged networking for preexisting ubuntu server vm (created under 2.0.4)
  4. boot vm
  5. vm adapter eth0 does not autoconfigure from dhcp
  6. configured vm adapter eth0 statically, but no network connectivity (nslookup google.com not found, wget google.com nothing)
  7. shut down ubuntu server vm
  8. reboot vm, does not fix problem
  9. shut down vm
  10. remove Virtualbox 2.2.0 package from host
  11. reinstall VirtualBox 2.2.0 package to host
  12. reselect bridged networking for vm
  13. boot vm
  14. bridged network access is now working correctly for vm

I did not reboot the host during this cycle.

comment:17 Changed 5 years ago by misha

To all having issues with bridged interfaces not being displayed or having the install problems on windows:
Please send me a mail at Mikhail dot Sennikovsky at sun dot com. I'll then send you a link to a new test VBox version containing installation fixes.

To all not being able to uninstall VBox 2.2 on windows:
Please see my comment 6 to #3701

comment:18 Changed 5 years ago by Corvin

2.2.4 fixed the problem with network interfaces for good.

comment:19 Changed 5 years ago by frank

  • Status changed from new to closed
  • Resolution set to fixed

comment:20 Changed 5 years ago by gopise

  • Status changed from closed to reopened
  • Resolution fixed deleted

I have the same problem. Repairing/reinstalling will not help, and I tried to track the log, the network filter is not installed. The following is the install log from the MSI


Action 21:59:25: RollbackInstallNetFlt. MSI (s) (A8:98) [21:59:25:234]: Executing op: CustomActionSchedule(Action=RollbackInstallNetFlt,ActionType=3329,Source=BinaryData,Target=UninstallNetFlt,CustomActionData=D:\VirtualBox\) MSI (s) (A8:98) [21:59:25:234]: Executing op: ActionStart(Name=InstallNetFlt) Action 21:59:25: InstallNetFlt. MSI (s) (A8:98) [21:59:25:234]: Executing op: CustomActionSchedule(Action=InstallNetFlt,ActionType=3073,Source=BinaryData,Target=InstallNetFlt,CustomActionData=D:\VirtualBox\) MSI (s) (A8:98) [21:59:25:250]: Creating MSIHANDLE (170) of type 790536 for thread 664 MSI (s) (A8:C8) [21:59:25:250]: Invoking remote custom action. DLL: C:\WINDOWS\Installer\MSI19.tmp, Entrypoint: InstallNetFlt MSI (s) (A8!30) [21:59:25:250]: Creating MSIHANDLE (171) of type 790531 for thread 560 Installing NetFlt MSI (s) (A8!30) [21:59:25:265]: Closing MSIHANDLE (171) of type 790531 for thread 560 MSI (s) (A8!30) [21:59:25:265]: Creating MSIHANDLE (172) of type 790531 for thread 560 NetFlt Is Not Installed currently

MSI (s) (A8!30) [21:59:25:265]: Closing MSIHANDLE (172) of type 790531 for thread 560 MSI (s) (A8!30) [21:59:35:437]: Creating MSIHANDLE (173) of type 790531 for thread 560 VBoxNetCfgWinInstallComponent: Install failed, hr (0x800f0203)


I can manually install the filter driver. After that, I can find it in the bridge target list, but, the VM fails to start complaining with: "Failed to open/create the internal network "xxx", XXX_COMPONENT_NOT_FOUND." Thanks

comment:21 Changed 4 years ago by jinglecat

I have the same problem. I install VBox 3.1.2 on Windows 7 Ultimate 64bit. Reinstall can not resolve this problem.

Changed 4 years ago by jinglecat

VBoxBridgedNotFoundAdapter_LOG

comment:22 Changed 4 years ago by misha

Could you attach setupapi.dev.log file as well please?

comment:23 Changed 4 years ago by albo

Same problem with a clean install of VB 3.1.4 on Win 7 x64 host. Repairing installation does not fix the problem.

comment:24 Changed 4 years ago by myjess

Apparently I need to run Virtualbnox as administrator to get the bridged network option shoing my physical I/Face. Have yet to look into this more.

Changed 4 years ago by boomshankerx

Changed 4 years ago by boomshankerx

Changed 4 years ago by boomshankerx

comment:25 Changed 4 years ago by nbolton

Occurs on 3.2.4 with Windows 7 x64.

comment:26 Changed 4 years ago by frank

  • Component changed from network to network/hostif

comment:27 Changed 4 years ago by Technologov

nbolton: which network cards do you have installed on your Windows 7 x64 host?

-Technologov

comment:28 Changed 4 years ago by nbolton

Technologov/Technologov:

Device Manager shows the these nodes under "Network adapters" in the order of:

  • ASIX AX88772 USB2.0 to Fast Ethernet Adapter (ASIX, 10/06/2009, 3.14.3.2)
  • Intel(R) 82567LM-3 Gigabit Network Connection (Microsoft, 21/10/2008, 10.5.1.0)
  • VirtualBox Host-Only Ethernet Adapter (Sun Microsystems, Inc., 25/06/2010, 3.2.6.0)

I upgraded VirtualBox to 3.2.6 and I am still seeing the problem.

See screenshot:  http://img408.imageshack.us/img408/8492/virtualboxbridgeproblem.png

comment:29 Changed 4 years ago by Technologov

I think the USB one is the problematic one. Can you unplug it ? (and reinstall VBox 3.2.6, if needed)

-Technologov

comment:30 follow-up: ↓ 31 Changed 4 years ago by nbolton

Hmm, I have just removed the USB network card as requested (and reinstalled VirtualBox), still doesn't work. Also, I just tried upgrading my Intel network card to the latest version (Intel, 12/04/2010, 11.6.92.0) - still no success.

comment:31 in reply to: ↑ 30 Changed 4 years ago by misha

Replying to nbolton: It seems like vbox bridged networking driver was not installed successfully for you. please uninstall vbox and then run vbox installlation with  msi & setupapi logging enabled, and attach msi & setupapi logs here.

comment:32 Changed 4 years ago by trisol

Hi all, I am new to VirtualBox and have just spent the last couple of days "playing" on my laptop before deploying to Server2008. I too am having no luck with bridge mode as no adapters are displayed. I have managed to get VirtualBox VM machines to access network and internet as well as be accessible for RDP using the Host Only Adapter and then bridging this to a physical NIC using windows Bridge Network. This is successful with both wireless and wired NICs.

I have attempted to use Bridge mode on two different machines with the same result in that no adaptors are displayed in the drop list - same as nbolton attached screenshot 28/07/2010.

First machine - Dell Latitude Windows 7. Installed, uninstalled and reinstalled VBox v3.2.8 r64453 still cannot get any physical adaptors displayed in drop list.

Second machine - HP Server DL360 G4 Windows Server 2008 with dual NICS. Installed and no adaptors displayed in Bridge mode drop list.

The only way I have successfully got VM's to be able to access internal/external networks and allow RDP is by using Host Only Adaptor and then using windows bridging to physical adaptor. This creates some issues with IP addressing which I have managed to resolve but a little "ugly".

Any suggestions as to how I can get the physical adaptors to be displayed in the Bridge drop list very much appreciated.

Regards,

Mark.

Changed 4 years ago by SIF

Zip file containing log produced by: VirtualBox-3.2.10-r66523-MultiArch_x86.msi /lvoicewarmupx msisetup.log

Changed 4 years ago by SIF

Zip file containg: setupapi.app.log, setupapi.dev.log

comment:33 follow-up: ↓ 37 Changed 4 years ago by SIF

Providing log files

As the attachments msisetup.log.zip and setupapi.2.zip I provided log files for the failure of the VB installer to properly install the driver for bridged networking on my machine.

By the way. I did not succeed to produced a log of the MSI installer by following the instructions on the page  http://www.virtualbox.org/wiki/MSI_Logging. As a rescue I produced the log file msisetup.log by manually running the msi installer:

VirtualBox-3.2.10-r66523-MultiArch_x86.msi /lvoicewarmupx msisetup.log

Error message of the failure of a manual installation of the bridged networking driver

The result of a trial to install the driver manually was a failure too, with the German error message (my Windows 7 is in German):

Die Grenze der installierten Filter wurde erreicht.

Probably the message in English is:

Limit of the number of installed filters exceeded.

comment:34 Changed 4 years ago by gparent

I can confirm that this is an issue on my Windows XP machine, with the latest VirtualBox version. The initial installation worked fine, but after reinstalling to change the language (before I figured out it was a VBox setting), I can't use bridged networking anymore.

Uninstalling 3.2.10 and installing 3.2.8 fixed the issue. Subsequently installing 3.2.10 afterward restored Bridged Networking.

comment:35 Changed 3 years ago by jwizardc

I have tried all of the fixes listed here. I am a student attempting to complete an assignment. I would really love it if I could get some help with this!

comment:36 Changed 3 years ago by frank

jwizardc, if you still experience this issue, please attach the  installer log file.

comment:37 in reply to: ↑ 33 Changed 3 years ago by misha

Replying to SIF: You seem to have a similar issue as mentioned in #7040. Could you provide me with the applicable info mentioned in  http://www.virtualbox.org/ticket/7040#comment:5 (i.e. if you do not have an older vbox version that gets installed successfully, only to that part with device manager settings)

comment:38 Changed 3 years ago by scottned

I've tried all of the suggested solutions I found here (and elsewhere) and none worked. I have version 4.0.10. What finally did work was uninstalling VMware and then VirtualBox and then reinstalling VirtualBox (using run-as "Administrator"). I suspect that VMware had some network adapters installed that were interfering. I hope this helps.

comment:39 Changed 3 years ago by jupsoleil

I found the solution to this problem elsewhere:  http://forums.virtualbox.org/viewtopic.php?f=6&t=36730&p=164725#p166352[[BR]]

HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Network
Postby jonnybravo » 15. Dec 2010, 05:53
Hey Bryan,

Your post helped me find where to look; however, deleting the config key did not work (at least it didn't in my Win7Pro x64 host). Although, what did work is in the same area, there is a key called MaxNumFilters. On my end, that was set to 8. I changed that value to 20 (which is 14 hex). Reboot and bingo. Problem solved... bridged adapter now installed properly when running vb installer.

comment:40 Changed 3 years ago by mohsh86

QNX 6.3.2

neither bridged connection or any other type is detected by the QNX 6.3.2 fresh install

please advise.

comment:41 Changed 20 months ago by tgp1994

I would also like to add that modifying the aforementioned registry key has fixed my problem. Sure enough, there were exactly 8 filter drivers installed on my network card, which explains why I wasn't able to install virtualbox's. Increasing the number, and uninstalling/reinstalling virtualbox fixed the issue afterwards.

It would be nice if the installer outright mentioned to the user that the limit had been reached (and/or) prompted to increase the maximum for the user.

Also, despite what virtualbox's manual says on the issue, it is _not_ necessary to reboot your operating system (Windows 7, at least) after changing the number.

Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use